Solved Level Rank Plugin Load Error : no debug string

XTreme killer

Active member
RIS Admin
Content Writer
When I Type In My Server !rcon sm plugins load levelsranks.smx

Its Giving Error

[Vitality™] Plugin levelsranks.smx failed to load: Unable to load plugin (no debug string table).
[SM] Plugin levelsranks.smx failed to load: Unable to load plugin (no debug string table).

Plugins used : https://forums.alliedmods.net/showthread.php?t=318782
Like Vertigo:
Tell me your sourcemod version: ??
Tell me your sourcemod plugins list: ??
Tell me your metamod version: ??
 

XTreme killer

Active member
RIS Admin
Content Writer

Vertigo

⍥𝖜𝖞𝖊𝖗
Staff member
Administrator
Compile the plugin against sourcemod version you are using.
 

XTreme killer

Active member
RIS Admin
Content Writer
Compile the plugin against sourcemod version you are using.
But he is using 1.10 6239 sourcemod.
There in plugin is written that it requires 1.10 only.
Still file doesn't gets compiled in 1.10 6239.
@Vertigo WHY???

It gives error that sourcemod 1.10 is required.
 

Vertigo

⍥𝖜𝖞𝖊𝖗
Staff member
Administrator
There is a difference between checking for 1.10 in code and compiling the plugin on 1.10
The plugin itself is compiled on 1.10.6422
How it supposed to work on 1.10.6239 !!
You need to compile it on 1.10.6422 version of compiler.
Once compiled, you will also have to install the same version of sourcemod in the server.
Then only it will work.
 

XTreme killer

Active member
RIS Admin
Content Writer
Edit the

C-like:
#if  SOURCEMOD_V_MINOR  <  10

to

#if  SOURCEMOD_V_MINOR  <  9
Compiling it with 1.9 or below 1.10 will fix this issue and work with all Upcoming SM drops.
Nice Theory , Not applicable in Real Life.

1.10 introduced new method maps that this plugin uses. So there is no possible way to compile it on lower sourcemod version.

Either you have to use substitute of all the new method maps by yourself or get latest sourcemod.
 

kushal

Active member
Staff member
Content Writer
Nice Theory , Not applicable in Real Life.

1.10 introduced new method maps that this plugin uses. So there is no possible way to compile it on lower sourcemod version.

Either you have to use substitute of all the new method maps by yourself or get latest sourcemod.
Looking at the code yes ur right
 
Top
AdBlock Detected

We get it, advertisements are annoying!

Sure, ad-blocking software does a great job at blocking ads, but it also blocks useful features of our website. For the best site experience please disable your AdBlocker.

I've Disabled AdBlock